Bug 799848 - [network] too many wifi networks makes network indicator run out of screen space
[network] too many wifi networks makes network indicator run out of screen space
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
: 801185 802728 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2012-03-05 03:40 EST by Jeroen van Meeuwen
Modified: 2012-06-04 16:32 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-06-03 05:50:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
screenshot of "too many wifi networks" (107.39 KB, image/png)
2012-03-05 03:40 EST, Jeroen van Meeuwen
no flags Details

  None (edit)
Description Jeroen van Meeuwen 2012-03-05 03:40:57 EST
Created attachment 567527 [details]
screenshot of "too many wifi networks"

Description of problem:

I live in an apartment building with many (40+) Wifi network SSIDs broadcasted.

The nm-applet, as part of NetworkManager-gnome, displays too many SSIDs before it falls back to the 'More...' link to expand the list of networks, in order for my screen to allow for space to also list the Mobile Broadband and VPN connections configured.

Version-Release number of selected component (if applicable):

$ rpm -qf $(which nm-applet)

How reproducible:

Every time, consistently

Steps to Reproduce:
1. Go into an area with many Wifi networks
2. Click nm-applet icon
3. Attempt to get to the Mobile Broadband / VPN section of the nm-applet network selection dialog.
Actual results:

Please see attached screenshot.

Expected results:

Truncate the list of wifi networks (~5-10 maybe?) and display "More...". Perhaps this also depends on the screen size (I'm on 1366x768).
Comment 1 Jirka Klimes 2012-03-07 10:23:39 EST
This is a screenshot of new gnome network indicator, which is part of
It's the replacement of nm-applet for Gnome3.

So, rather please report
$ rpm -q gnome-shell
Comment 2 Jeroen van Meeuwen 2012-03-07 19:58:02 EST
Comment 3 Jirka Klimes 2012-03-21 05:54:23 EDT
*** Bug 802728 has been marked as a duplicate of this bug. ***
Comment 4 Dave Allan 2012-03-25 20:51:56 EDT
This behavior is affecting me as well.  I've bumped the severity to high as it's a fairly serious problem for me as I work remotely and without access to the VPN I cannot log into my work systems.  One unusual thing about the behavior is that the network list often displays only a small number (~5) of SSIDs, although I'm fairly certain that the number of visible SSIDs doesn't vary that widely.  If there's a workaround, I'd love to hear about it.  I'm also running gnome-shell gnome-shell-
Comment 5 Dave Allan 2012-03-25 20:59:38 EDT
FWIW, I just powered my laptop off, waited a few seconds and powered it on again, and now I have only 11 SSIDs showing + More..., and then VPN Connections, etc. I'm assuming that's a viable workaround, so I'm dropping the severity back to medium.
Comment 6 Jirka Klimes 2012-03-26 08:08:48 EDT
*** Bug 801185 has been marked as a duplicate of this bug. ***
Comment 7 Jeroen van Meeuwen 2012-06-03 05:50:27 EDT
FWIW, this problem seems to no longer occur in GNOME 3.4 (Fedora 17)
Comment 8 Dave Allan 2012-06-04 16:32:37 EDT
Yes, it appears to be fixed in 3.4.

Note You need to log in before you can comment on or make changes to this bug.